#ifndef MINCUT_HPP_
#define MINCUT_HPP_

#include <set>

typedef std::set< int > SetOfIntSet;

class Cut{
public:	
	std::set<int> *S;
	std::set<int> *Sbar;
	double weight;
	Cut(SetOfIntSet *someS, SetOfIntSet *someSbar){
		S = someS;
		Sbar = someSbar;
	}
};

Cut *mincut(int numVertices, int numEdges, int **Adj, float *capacities, int **Edges, int s, int t);

#endif /*MINCUT_HPP_*/
